Orderbook
Details
GET https://api.pointpay.io/public/coingecko/futures/orderbook
Query Parameters
ticker_id*
STRING
Trading pair identifier between base and target currencies, without delimiter
BTCUSDT
depth
NUMERIC
Order book depth quantity: [0, 100, 200, 500, ...]. 0 returns full depth. depth = 100 means 50 levels on each bid/ask side.
10
Response parameters:
ticker_id
STRING
Identifier of a ticker, e.g. BTCUSDT
timestamp
NUMERIC
Unix timestamp in milliseconds for when the order book was last updated
bids
ARRAY
Array of [price, quantity] pairs. Each entry represents the offer price and quantity for a bid order
asks
ARRAY
Array of [price, quantity] pairs. Each entry represents the ask price and quantity for an ask order
Response example:
{
"ticker_id": "BTCUSDT",
"timestamp": 1779300727243,
"bids": [
[
"77503.10",
"7.936"
],
[
"77503.00",
"0.275"
],
[
"77502.90",
"0.418"
],
[
"77502.30",
"0.041"
],
[
"77502.10",
"0.005"
],
...
],
"asks": [
[
"77503.20",
"0.940"
],
[
"77503.30",
"0.004"
],
[
"77503.70",
"0.040"
],
[
"77504.30",
"0.003"
],
[
"77504.50",
"0.039"
],
...
]
}Response example:
This error occurs in the following cases:
Invalid URL
Request contains invalid headers
Required query parameter
ticker_idis missing or invalid
Response example:
This error occurs in the following cases:
The requested URL was not found
The specified
ticker_iddoes not exist on the exchange